import type { AutoCompletePropType, InputColorProps, InputColorWatches, SuggestionsPropType } from '../../schema';
import { InputIconController } from '../@deprecated/input/controller-icon';
import type { Generic } from 'adopted-style-sheets';
export declare class InputColorController extends InputIconController implements InputColorWatches {
    protected readonly component: Generic.Element.Component & InputColorProps;
    constructor(component: Generic.Element.Component & InputColorProps, name: string, host?: HTMLElement);
    validateAutoComplete(value?: AutoCompletePropType): void;
    validateSuggestions(value?: SuggestionsPropType): void;
    validateValue(value?: string): void;
    componentWillLoad(): void;
}
